# Get Payment Methods Returns the latest copy of all the saved payment methods associated with the customer's account. Endpoint: GET /v2/customer/payment-methods Version: v2 Security: ApiKeySecurityScheme, CustomerAppScopeSecurityScheme, CustomerTokenSecurityScheme ## Header parameters: - `x-md-api-version` (string, required) Enum: "4" - `x-bite-org-id` (string, required) The org ID you are working with. - `x-bite-order-channel` (string, required) The order channel you are working with. Enum: "catering", "flash", "kiosk", "linebuster", "web" ## Response 200 fields (application/json): - `paymentMethods` (array, required) - `paymentMethods._id` (string, required) ID of the object - `paymentMethods.last4` (string, required) Last 4 digits of the card on file - `paymentMethods.expirationMonth` (integer, required) - `paymentMethods.expirationYear` (integer, required) - `paymentMethods.postalCode` (string) The postal code of the card's billing address. - `paymentMethods.cardSchemeId` (integer, required) Card brand: * 0 - Other * 1 - Visa * 2 - MasterCard * 3 - Maestro * 4 - AmEx * 5 - JCB * 6 - Diners * 7 - Discover * 12 - ChinaUnionPay * 1240 - Debit * 1241 - Interac * 10001 - SquareGiftCard * 10002 - SquareEftPos * 67101 - TCC * 67102 - LevelUpDiscount * 67103 - LevelUpGiftCard * 67104 - LevelUpCreditCard * 67105 - Givex * 67106 - Atrium * 67107 - Archer * 67108 - PinataStoredValue * 67109 - Valutec * 67110 - PaytronixGiftCard * 67111 - OLOGiftCard * 67112 - WorldpayGiftCard * 67113 - FreedomPayGiftCard * 67114 - EigenGiftCard * 67115 - ChoptDiscount * 67116 - ChoptGiftCard * 67117 - ChoptCreditCard - `paymentMethods.nickname` (string) The nickname for the saved payment method - `paymentMethods.isDefault` (boolean) If this value is true, then no other delivery address associated with this customer account will be marked as isDefault=true. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields